#
# spec file for package ocaml-sha
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define build_flavor %nil
%if "%build_flavor" == "testsuite"
%define nsuffix -testsuite
%else
%define nsuffix %nil
%endif

%define     pkg ocaml-sha
Name:           %pkg%nsuffix
Version:        1.15.2
Release:        1.11
%{?ocaml_preserve_bytecode}
Summary:        Binding to the SHA cryptographic functions
License:        ISC
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/sha
Source0:        %pkg-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 2.9
BuildRequires:  ocamlfind(stdlib-shims)
BuildRequires:  ocaml-rpm-macros >= 20220222

%if "%build_flavor" == "testsuite"
BuildRequires:  ocamlfind(ounit2)
BuildRequires:  ocamlfind(sha)
%endif

%description
A binding for SHA interface code in OCaml. Offering the same interface than
the MD5 digest included in the OCaml standard library.
It's currently providing SHA1, SHA256 and SHA512 hash functions.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1 -n %pkg-%version

%build
dune_release_pkgs='sha'
%ocaml_dune_setup
%if "%build_flavor" == ""
%ocaml_dune_build
%endif

%install
%if "%build_flavor" == ""
%ocaml_dune_install
%ocaml_create_file_list
%endif

%if "%build_flavor" == "testsuite"
%check
%ocaml_dune_test
%endif

%if "%build_flavor" == ""
%files -f %name.files

%files devel -f %name.files.devel

%endif

%changelog
* Mon Apr  4 2022 ohering@suse.de
- Update to version 1.15.2
  See included CHANGES.md for details
* Sun Oct 10 2021 ohering@suse.de
- Update to version 1.15.1
* Fri Apr  9 2021 ohering@suse.de
- Update to version 1.14
- remove ocaml-sha.patch, fixed upstream
* Thu Jan 21 2021 ohering@suse.de
- remove dependency to ounit via _multibuild
- fix discarded-qualifiers errors via ocaml-sha.patch
* Sun Mar 29 2020 ohering@suse.de
- Update to version 1.13
  internal cleanups
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Use _service file
* Mon Sep 30 2019 ohering@suse.de
- use dune macros from ocaml-rpm-macros
* Tue Feb 19 2019 andy@onthewings.net
- Update install section for ocaml-dune 1.7.1.
* Fri Feb  8 2019 andy@onthewings.net
- Updated build command for the new dune version.
* Mon Jun 11 2018 andy@onthewings.net
- Package .ml and .dune files produced by latest dune.
* Wed May 30 2018 andy@onthewings.net
- Initial packaging.
